Rated 5 out of 5 stars

Pretty please update for for Firefox 4.0b12.

This user has other reviews of this add-on.